org.apache.lucene.spatial.query

## Class UnsupportedSpatialOperation

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - java.lang.UnsupportedOperationException
        - - org.apache.lucene.spatial.query.UnsupportedSpatialOperation

- All Implemented Interfaces:
    Serializable

      public class UnsupportedSpatialOperation
      extends UnsupportedOperationException

  Exception thrown when the `SpatialStrategy` cannot implement the requested operation.
  See Also:
    Serialized Form
  WARNING: This API is experimental and might change in incompatible ways in the next release.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `UnsupportedSpatialOperation(SpatialOperation op)`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### UnsupportedSpatialOperation

          public UnsupportedSpatialOperation(SpatialOperation op)

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.